Summary: A Pac-Man style game for the X Window System.
Name: xchomp
Version: 1.0
Release: 15
Copyright: distributable
Group: Amusements/Games
Source: ftp://sunsite.unc.edu:/pub/Linux/games/x11/video/xchomp-linux.tar.z
Source2: xchomp.wmconfig
Patch: xchomp-delay.patch
Patch1: xchomp-make.patch
Buildroot: %{_tmppath}/%{name}-root


%description
Xchomp is an X Window System based game like Pac-Man.

%prep
%setup -q -n xchomp
%patch -p1
%patch1 -p1 -b .makepatch

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin \
	$RPM_BUILD_ROOT/etc/X11/applnk/Games
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xchomp.desktop <<EOF
[Desktop Entry]
Name=xchomp
Comment=A Pac-Man style game for the X Window System.
Exec=xchomp
Terminal=0
Type=Application
EOF

install -m 755 -s xchomp $RPM_BUILD_ROOT/usr/X11R6/bin/xchomp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/X11/applnk/Games/xchomp.desktop
%doc README README.linux
/usr/X11R6/bin/xchomp

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- use %%{_tmppath}

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun May 28 2000 Ngo Than <thanredhat.de>
- rebuild for 7.0
- remove wmconfig
- add xchomp.desktop

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- built for 5.2

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Nov 06 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- buildroot'd and %attr'd
- added wmconfig entry
- uses RPM_OPT_FLAGS
